<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Blog directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2016.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
Name:
	blog_selector_tag_calendar_links.cfm
Description:
	blog_selector_tag_calendar_links.cfm
ADF App:
	PT Blog
History:
	2011-10-22 - MFC - App v2.0 release.
	2016-02-23 - DRM - Resource detection exit
--->

<!--- if this module loads resources, do it here.. --->
<!---<cfscript>
	// none
</cfscript>--->

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<cfscript>
	request.element.isStatic = 0;
	tagPosts = attributes.elementInfo.elementData.propertyValues;
	blogTags = arrayNew(1);
	blogConfig = structNew();
	calendarPosts = arrayNew(1);
	if( arrayLen(tagPosts) and structKeyExists(application, "ptTags") )
	{
		// get tags
		blogTags = application.ptTags.tagsDAO.getByParentContentID(tagPosts[1].values.blogID);
		// sort by name
		blogTags = application.ptBlog2.ceData.arrayOfCEDataSort(blogTags, "tag");
		
		sDate = application.ptBlog2.date.firstOfYear(year(now()) - 1);
		eDate = application.ptBlog2.date.lastOfMonth(month(now()), year(now()));
		// get last years and up to this month (max 2 yrs) worth of blog posts
		calendarPosts = application.ptBlog2.postDAO.getByDateAndBlogID(sDate, eDate, tagPosts[1].values.blogID);
		calendarPosts = application.ptBlog2.ceData.arrayOfCEDataSort(calendarPosts, "datePosted", "desc");
		
		// retrieve the configuration of the blog
		blogConfig = application.ptBlog2.blogDAO.getBlog(tagPosts[1].values.blogID);
	}
</cfscript>

<cfif arrayLen(calendarPosts) and listLen(structKeyList(blogConfig))>
<!--- // call the renderhandler that displays the calendar results --->
<cfmodule template="blog_post_calendar_links.cfm"
	elementInfo="#application.ptBlog2.ceData.buildElementInfoStruct(calendarPosts)#">
</cfif>

<cfoutput><div id="blogTagLinks"><h4>Tags</h4><ul></cfoutput>
<cfloop from="1" to="#arrayLen(blogTags)#" index="itm">
	<cfoutput><li><a href="#blogConfig.tagSearchResultsURL#?tag=#blogTags[itm].values.uniqueID#&tagName=#blogTags[itm].values.tag#">#blogTags[itm].values.tag#</a></li></cfoutput>
</cfloop>
<cfoutput></ul></div></cfoutput>